using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using DAO_GSB;

namespace WcfService_GSB
{
    public class ServiceMedecin : IServiceMedecin
    {
       #region IServiceMedecin Membres

        public List<DAO_GSB.medecin> getMedecinsParDep(int numDepartement)
        {
            return medecin.lesMedecins(numDepartement);
        }
        public List<DAO_GSB.medecin> getMedecinsParNom(string nom)
        {
            return medecin.lesMedecins(nom);
        }
        public List<int> lesDepartements()
        {
            return medecin.lesDepartements();
        }
        public void ajouterMedecin(string nom, string prenom, string adresse, string ville, string specialite, 
            string telephone, int numDepartement)
        {
            medecin m = medecin.Createmedecin(nom,prenom,adresse,telephone,ville,specialite,numDepartement);
            m.ajouter();
        }
        #endregion
    }
}
